xine-lib: xine-lib-1.2.13/src/video_dec/libmpeg2/mpeg2.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Typedefs | Functions
mpeg2.h File Reference
`#include "libmpeg2_accel.h"`

Go to the source code of this file.

## Data Structures
struct | mpeg2dec_s

## Typedefs
typedef struct mpeg2dec_s | mpeg2dec_t

## Functions
void | mpeg2_init (mpeg2dec_t *mpeg2dec, xine_video_port_t *output)
void | mpeg2_close (mpeg2dec_t *mpeg2dec)
int | mpeg2_decode_data (mpeg2dec_t *mpeg2dec, uint8_t *data_start, uint8_t *data_end, uint64_t pts)
void | mpeg2_find_sequence_header (mpeg2dec_t *mpeg2dec, uint8_t *data_start, uint8_t *data_end)
void | mpeg2_flush (mpeg2dec_t *mpeg2dec)
void | mpeg2_reset (mpeg2dec_t *mpeg2dec)
void | mpeg2_discontinuity (mpeg2dec_t *mpeg2dec)

## Typedef Documentation

## ◆ mpeg2dec_t

typedef struct mpeg2dec_s mpeg2dec_t

## Function Documentation

## ◆ mpeg2_close()

void mpeg2_close | ( | mpeg2dec_t * | mpeg2dec | ) |

## ◆ mpeg2_decode_data()

int mpeg2_decode_data | ( | mpeg2dec_t * | mpeg2dec,
|  | uint8_t * | data_start,
|  | uint8_t * | data_end,
|  | uint64_t | pts )

References mpeg2dec_s::accel, mpeg2dec_s::chunk_buffer, mpeg2dec_s::chunk_ptr, code, mpeg2dec_s::code, copy_chunk(), mpeg2dec_s::frame_format, mpeg2dec_s::is_frame_needed, libmpeg2_accel_frame_completion(), NULL, parse_chunk(), mpeg2dec_s::picture, mpeg2dec_s::pts, mpeg2dec_s::seek_mode, and mpeg2dec_s::shift.

Referenced by mpeg2dec_decode_data().

## ◆ mpeg2_discontinuity()

void mpeg2_discontinuity | ( | mpeg2dec_t * | mpeg2dec | ) |

References mpeg2dec_s::accel, mpeg2dec_s::frame_format, mpeg2dec_s::in_slice, libmpeg2_accel_discontinuity(), mpeg2dec_s::picture, and mpeg2dec_s::pts.

Referenced by mpeg2_reset(), and mpeg2dec_discontinuity().

## ◆ mpeg2_find_sequence_header()

void mpeg2_find_sequence_header | ( | mpeg2dec_t * | mpeg2dec,
|  | uint8_t * | data_start,
|  | uint8_t * | data_end )

References _x_stream_info_set(), xine_format_change_data_t::aspect, mpeg2dec_s::chunk_buffer, code, mpeg2dec_s::code, copy_chunk(), mpeg2dec_s::force_aspect, mpeg2dec_s::force_pan_scan, xine_format_change_data_t::height, mpeg2dec_s::is_sequence_needed, mpeg2_header_extension(), mpeg2_header_sequence(), mpeg2_stats(), mpeg2dec_s::new_sequence, NULL, xine_format_change_data_t::pan_scan, mpeg2dec_s::picture, remember_metainfo(), mpeg2dec_s::seek_mode, mpeg2dec_s::stream, xine_format_change_data_t::width, XINE_EVENT_FRAME_FORMAT_CHANGE, xine_event_send(), XINE_STREAM_INFO_VIDEO_HEIGHT, and XINE_STREAM_INFO_VIDEO_WIDTH.

Referenced by mpeg2dec_decode_data().

## ◆ mpeg2_flush()

void mpeg2_flush | ( | mpeg2dec_t * | mpeg2dec | ) |

References get_frame_duration(), lprintf, mpeg2dec_s::picture, and mpeg2dec_s::stream.

Referenced by mpeg2dec_flush(), and parse_chunk().

## ◆ mpeg2_init()

void mpeg2_init | ( | mpeg2dec_t * | mpeg2dec,
|  | xine_video_port_t * | output )

References mpeg2dec_s::accel, mpeg2dec_s::afd_value_reported, mpeg2dec_s::afd_value_seen, BUFFER_SIZE, mpeg2dec_s::chunk_buffer, mpeg2dec_s::chunk_ptr, mpeg2dec_s::code, mpeg2dec_s::drop_frame, mpeg2dec_s::frame_format, mpeg2dec_s::frames_to_drop, xine_video_port_s::get_capabilities, mpeg2dec_s::in_slice, mpeg2dec_s::is_sequence_needed, mpeg2dec_s::is_wait_for_ip_frames, libmpeg2_accel_scan(), mpeg2_cpu_state_init(), mpeg2_header_state_init(), mpeg2_idct_init(), mpeg2_mc_init(), mpeg2_scan_alt, mpeg2_scan_norm, mpeg2dec_s::new_sequence, mpeg2dec_s::output, mpeg2dec_s::picture, mpeg2dec_s::seek_mode, mpeg2dec_s::shift, VO_CAP_XVMC_MOCOMP, VO_CAP_XXMC, XINE_IMGFMT_XVMC, XINE_IMGFMT_XXMC, XINE_IMGFMT_YV12, xine_mallocz_aligned(), xine_mm_accel(), and XINE_VIDEO_AFD_NOT_PRESENT.

## ◆ mpeg2_reset()

void mpeg2_reset | ( | mpeg2dec_t * | mpeg2dec | ) |

References mpeg2dec_s::in_slice, mpeg2dec_s::is_wait_for_ip_frames, mpeg2_discontinuity(), NULL, mpeg2dec_s::picture, and mpeg2dec_s::seek_mode.

Referenced by mpeg2_init(), mpeg2_video_reset(), and mpeg2dec_reset().